
		$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			//alert(q);
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'../../../admina/inc/ajax/productos_factura.php?action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="../../../admina/inc/img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

	function agregar (id)
		{
			var precio_venta=document.getElementById('precio_venta_'+id).value;
			var cantidad=document.getElementById('cantidad_'+id).value;
			var des=document.getElementById('descuento_'+id).value;
			//Inicia validacion
			if (isNaN(cantidad))
			{
			alert('Esto no es un numero');
			document.getElementById('cantidad_'+id).focus();
			return false;
			}
			if (isNaN(precio_venta))
			{
			alert('Esto no es un numero');
			document.getElementById('precio_venta_'+id).focus();
			return false;
			}
			//Fin validacion
			
			$.ajax({
		        type: "POST",
		        url: "../../../admina/inc/ajax/agregar_facturacion.php",
		        data: "id="+id+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&des="+des,
				 beforeSend: function(objeto){
					$("#resultados").html("Mensaje: Cargando...");
				  },
		        success: function(datos){
				$("#resultados").html(datos);
				}
			});
		}
		
			function eliminar (id)
		{
			
			$.ajax({
        type: "GET",
        url: "../../../admina/inc/ajax/agregar_facturacion.php",
        data: "id="+id,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		}
			});

		}
		
		$("#datosfact").click(function(){
		  var numfact = $('#numfact').val();	
		  var id_cliente = $("#clientes_idclientes").val();
		  var condiciones = $("#condiciones").val();
		  var estado = $("#estado").val();
		  //alert(id_cliente+'-'+condiciones+'-'+estado);
		  if (id_cliente==""){
			  alert("Debes seleccionar un cliente");
			  $("#nombre_cliente").focus();
			  return false;
		  }
		 VentanaCentrada('../../../pdf/documentos/factura_pdf.php?numfact='+numfact+'&id_cliente='+id_cliente+'&estado='+estado+'&condiciones='+condiciones,'Factura','','1024','768','true');
		 //window.open("../../../admina/modul/nuevafactura/imprimir.php?numfact="+numfact+"&id_cliente="+id_cliente+"&estado="+estado+"&condiciones"+condiciones, "_blank", "toolbar=yes,scrollbars=yes,resizable=yes,top=10,left=100,width=1000,height=600");
	 	});
		
		/*$( "#guardar_cliente" ).submit(function( event ) {
		  $('#guardar_datos').attr("disabled", true);*/
		 $( "#guardar_datos" ).click(function( event ) {
		 //alert($('#nombres').val()); 
		 var ciu = $("#ciudad").val();
		 var ide = $('#identificacion').val();
		 var rs = $('#nombres').val();
		 var dir = $('#direccion').val();
		 var tel = $('#tel').val();
		 var ap = $('#apellidos').val();
		 var cel = $('#cel').val();
		 var email = $('#email').val();
		 var fechana = $('#tgl2').val();
		 var param = "ciudad_idciudad="+ciu+"&nombres="+rs+"&identificacion="+ide+"&direccion="+dir+"&apellidos="+ap+"&tel="+tel+"&cel="+cel+"&email="+email+"&fechana="+fechana;
		 //alert(rs);
			 $.ajax({
					type: "GET",
					url: "../../../admina/inc/ajax/nuevo_cliente.php?"+param,
					//data: param,
					 beforeSend: function(objeto){
						$("#resultados_ajax").html("Enviando Mensaje...");
					  },
					success: function(datos){
					console.log(datos);
					$("#resultados_ajax").html(datos);
					$('#guardar_datos').attr("disabled", false);
					load(1);
				  }
			});
		  event.preventDefault();
		  setTimeout(function(){
			   window.location.reload(1);
			}, 2000);
		  //return false;
		})
		
		/*$( "#guardar_producto" ).submit(function( event ) {
		  $('#guardar_datos').attr("disabled", true);*/
		  $( "#guardar_datosp" ).click(function( event ) {
		  var cod = $("#cod").val();
		 var nomp = $("#nomp").val();
		 var cat = $('#cat').val();
		 var stock = $('#stock').val();
		 var costo = $('#costo').val();
		 var venta = $('#venta').val();
		 var parametros = "cod="+cod+"&nomp="+nomp+"&cat="+cat+"&stock="+stock+"&costo="+costo+"&venta="+venta;
		 //alert(stock);
			 $.ajax({
					type: "GET",
					url: "../../../admina/inc/ajax/nuevo_producto.php?"+parametros,
					//data: parametros,
					 beforeSend: function(objeto){
						$("#resultados_ajax_productos").html("Mensaje: Cargando...");
					  },
					success: function(datos){
					$("#resultados_ajax_productos").html(datos);
					$('#guardar_datos').attr("disabled", false);
					load(1);
				  }
			});
		  event.preventDefault();
		})
